Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 976469 - Export and Import of a VM do not save the plugged/unplugged status of its disks
Summary: Export and Import of a VM do not save the plugged/unplugged status of its disks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.4.0
Assignee: Maor
QA Contact: Leonid Natapov
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-06-20 15:52 UTC by Allon Mureinik
Modified: 2016-02-10 16:34 UTC (History)
10 users (show)

Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 14:04:49 UTC
oVirt Team: Storage
Target Upstream Version:
abaron: Triaged+


Attachments (Terms of Use)
engine log (deleted)
2013-06-20 15:54 UTC, Allon Mureinik
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 19954 None None None Never

Description Allon Mureinik 2013-06-20 15:52:15 UTC
Description of problem:
When importing an exported VM all the disk will become plugged, even if they were unplugged in the original

Version-Release number of selected component (if applicable):
3.2 GA

How reproducible:
100%

Steps to Reproduce:
1. Create a VM with two disks
2. Unplug one of them (deactivate in the UI)
3. Export the VM
4. Import the VM as cloned.

Actual results:
Both disks in the cloned VM are plugged.

Expected results:
The copy of the unplugged disk should be unplugged.

Additional info:

Comment 1 Allon Mureinik 2013-06-20 15:54:19 UTC
Created attachment 763497 [details]
engine log

Comment 3 Maor 2013-10-10 08:15:59 UTC
Also fixed Template import as well

Comment 4 Sandro Bonazzola 2014-01-14 08:43:22 UTC
ovirt 3.4.0 alpha has been released

Comment 5 Leonid Natapov 2014-01-22 16:16:31 UTC
Verified on 3.4.0-0.2.master.20140112020439.git9ad8529.el6

Comment 7 Itamar Heim 2014-06-12 14:04:49 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.